VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplate Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | DescriptorUpdateTemplate ()
VULKAN_HPP_CONSTEXPR | DescriptorUpdateTemplate (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | DescriptorUpdateTemplate (VkDescriptorUpdateTemplate descriptorUpdateTemplate)
DescriptorUpdateTemplate & | operator= (std::nullptr_t)
bool | operator== (DescriptorUpdateTemplate const &rhs) const
bool | operator!= (DescriptorUpdateTemplate const &rhs) const
bool | operator< (DescriptorUpdateTemplate const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkDescriptorUpdateTemplate () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkDescriptorUpdateTemplate | m_descriptorUpdateTemplate

## Detailed Description

Definition at line 4418 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DescriptorUpdateTemplate() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplate::DescriptorUpdateTemplate | ( |  | ) |

inline

Definition at line 4421 of file vulkan.hpp.

: m_descriptorUpdateTemplate(VK_NULL_HANDLE)
{}

## DescriptorUpdateTemplate() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplate::DescriptorUpdateTemplate | ( | std::nullptr_t |  | ) |

inline

Definition at line 4425 of file vulkan.hpp.

: m_descriptorUpdateTemplate(VK_NULL_HANDLE)
{}

## DescriptorUpdateTemplate() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplate::DescriptorUpdateTemplate | ( | VkDescriptorUpdateTemplate | descriptorUpdateTemplate | ) |

inline

Definition at line 4429 of file vulkan.hpp.

: m_descriptorUpdateTemplate( descriptorUpdateTemplate )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplate::operator bool | ( |  | ) | const

inline explicit

Definition at line 4469 of file vulkan.hpp.

{
return m_descriptorUpdateTemplate != VK_NULL_HANDLE;
}

References m_descriptorUpdateTemplate, and VK_NULL_HANDLE.

## operator VkDescriptorUpdateTemplate()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplate::operator VkDescriptorUpdateTemplate | ( |  | ) | const

inline

Definition at line 4464 of file vulkan.hpp.

{
return m_descriptorUpdateTemplate;
}

References m_descriptorUpdateTemplate.

## operator!()

bool VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplate::operator! | ( |  | ) | const

inline

Definition at line 4474 of file vulkan.hpp.

{
return m_descriptorUpdateTemplate == VK_NULL_HANDLE;
}

References m_descriptorUpdateTemplate, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplate::operator!= | ( | DescriptorUpdateTemplate const & | rhs | ) | const

inline

Definition at line 4452 of file vulkan.hpp.

{
return m_descriptorUpdateTemplate != rhs.m_descriptorUpdateTemplate;
}

References m_descriptorUpdateTemplate.

## operator<()

bool VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplate::operator< | ( | DescriptorUpdateTemplate const & | rhs | ) | const

inline

Definition at line 4457 of file vulkan.hpp.

{
return m_descriptorUpdateTemplate < rhs.m_descriptorUpdateTemplate;
}

References m_descriptorUpdateTemplate.

## operator=()

DescriptorUpdateTemplate& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplate::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 4441 of file vulkan.hpp.

{
m_descriptorUpdateTemplate = VK_NULL_HANDLE;
return *this;
}

References m_descriptorUpdateTemplate, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplate::operator== | ( | DescriptorUpdateTemplate const & | rhs | ) | const

inline

Definition at line 4447 of file vulkan.hpp.

{
return m_descriptorUpdateTemplate == rhs.m_descriptorUpdateTemplate;
}

References m_descriptorUpdateTemplate.

## Field Documentation

## m_descriptorUpdateTemplate

VkDescriptorUpdateTemplate VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplate::m_descriptorUpdateTemplate

private

Definition at line 4480 of file vulkan.hpp.

Referenced by operator bool(), operator VkDescriptorUpdateTemplate(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplate::m_descriptorUpdateTemplate
VkDescriptorUpdateTemplate m_descriptorUpdateTemplate
Definition: vulkan.hpp:4480